Package rdkit :: Package ML :: Module CompositeRun

[hide private]
[frames] | no frames]

# Module CompositeRun

source code

    contains a class to store parameters for and results from
    Composite building

Classes | [hide private]

| CompositeRun class to store parameters for and results from Composite building

Functions | [hide private]

SetDefaults(runDetails) initializes a details object with default values | source code

Imports: RDConfig, DbConnect, DataStructs, DbModule

Function Details | [hide private]

### SetDefaults(runDetails)

source code

    initializes a details object with default values

    **Arguments**

      - details:  (optional) a _CompositeRun.CompositeRun_ object.
        If this is not provided, the global _runDetails will be used.

    **Returns**

      the initialized _CompositeRun_ object.